Source:  Reviewed:  

Tags:  Affected Versions:  
Description

Promtheus alert naming and format currently doesn't align to common patterns used in other Prometheus use cases like Kubernetes.

This RFE proposes the following changes;

- Standardise the alert names based on camel case

- introduce a summary annotation

- simplify the recommended MIB

In addition to the above user facing changes, MIB simplification should also validate OIDs during tox testing to ensure OIDs declared

match the MIB

Related issues:

Copied to mgr - Backport #53791: pacific: RFE: Improve ceph alert structure a... Rejected

History

#1 - 11/03/2021 02:28 AM - Paul Cuzner

- % Done changed from 0 to 90

- Pull request ID set to 43783

PR submitted

#2 - 11/12/2021 12:15 AM - Paul Cuzner

- Status changed from New to Pending Backport

#3 - 01/06/2022 10:06 AM - Avan Thakkar

- Backport deleted (pacific)

#4 - 01/06/2022 10:06 AM - Avan Thakkar

- Backport set to pacific

#5 - 01/07/2022 07:11 AM - Nizamudeen  A

- Backport changed from pacific to pacific, octopus

#6 - 01/07/2022 07:13 AM - Nizamudeen  A

- Backport changed from pacific, octopus to pacific

#7 - 01/07/2022 07:13 AM - Nizamudeen  A

- Target version changed from v17.0.0 to v16.2.8

03/20/2024 1/2



#8 - 01/07/2022 09:37 AM - Sebastian Wagner

- Project changed from Orchestrator to mgr

- Category deleted (cephadm/monitoring)

#9 - 01/07/2022 09:40 AM - Backport Bot

- Copied to Backport #53791: pacific: RFE: Improve ceph alert structure and validation added

#10 - 01/20/2022 05:23 PM - Ernesto Puerta

- Status changed from Pending Backport to Resolved
